# class Bundler::CLI::Package

### Attributes

options[R]

### Public Class Methods

new(options) click to toggle source

    # File lib/bundler/cli/package.rb, line 7
    def initialize(options)
      @options = options
    end

### Public Instance Methods

run() click to toggle source

    # File lib/bundler/cli/package.rb, line 11
    def run
      Bundler.ui.level = "error" if options[:quiet]
      Bundler.settings.set_command_option_if_given :path, options[:path]
      Bundler.settings.set_command_option_if_given :cache_all_platforms, options["all-platforms"]
      Bundler.settings.set_command_option_if_given :cache_path, options["cache-path"]

      setup_cache_all
      install

      # TODO: move cache contents here now that all bundles are locked
      custom_path = Bundler.settings[:path] if options[:path]
      Bundler.load.cache(custom_path)
    end

### Private Instance Methods

install() click to toggle source

    # File lib/bundler/cli/package.rb, line 27
    def install
      require "bundler/cli/install"
      options = self.options.dup
      if Bundler.settings[:cache_all_platforms]
        options["local"] = false
        options["update"] = true
      end
      Bundler::CLI::Install.new(options).run
    end

setup_cache_all() click to toggle source

    # File lib/bundler/cli/package.rb, line 37
    def setup_cache_all
      all = options.fetch(:all, Bundler.feature_flag.cache_command_is_package? || nil)

      Bundler.settings.set_command_option_if_given :cache_all, all

      if Bundler.definition.has_local_dependencies? && !Bundler.feature_flag.cache_all?
        Bundler.ui.warn "Your Gemfile contains path and git dependencies. If you want "    \
          "to package them as well, please pass the --all flag. This will be the default " \
          "on Bundler 2.0."
      end
    end